MONGOC_GRIDFS_BUCKET_OPEN_DOWNLOAD_STREAM(3)

NAME
mongoc_gridfs_bucket_open_download_stream - mongoc_gridfs_bucket_open_download_stream()

SYNOPSIS

        mongoc_stream_t *
        mongoc_gridfs_bucket_open_download_stream (mongoc_gridfs_bucket_t *bucket,
                                                   const bson_value_t *file_id,
                                                   bson_error_t *error)
           BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

    •   bucket: A mongoc_gridfs_bucket_t.

    •   file_id: A bson_value_t of the id of the file to download.

    •   error: A bson_error_t to receive any error or NULL.

DESCRIPTION

Opens a stream for reading a file from GridFS.

RETURNS

A mongoc_stream_t that can be read from or NULL on failure. Errors on this stream can be retrieved with mongoc_gridfs_bucket_stream_error().

SEE ALSO:
        mongoc_gridfs_bucket_stream_error()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc